module Now_Floor_Disp(
					   Reset,
					   En,
					   Now_Floor,
					   Now_Floor_Disp_Data,
					   Now_Floor_Disp_Select					   
					   );
input  Reset;
input  En;
input  [3:0] Now_Floor;
output [6:0] Now_Floor_Disp_Data;
output Now_Floor_Disp_Select;

reg [6:0] Now_Floor_Disp_Data;
reg Now_Floor_Disp_Select;

always @(Reset or En or Now_Floor)
begin
  if((Reset == 1'b1) || (En == 1'b1))
    begin
      Now_Floor_Disp_Data <= 7'b0;
      Now_Floor_Disp_Select <= 1'b1;
    end
  else
    begin
      Now_Floor_Disp_Select <= 1'b0;
      case(Now_Floor)
        4'b0001 : Now_Floor_Disp_Data <= 7'b0110000;  //1
		4'b0010 : Now_Floor_Disp_Data <= 7'b1101101;  //2
		4'b0011 : Now_Floor_Disp_Data <= 7'b1111001;  //3
		4'b0100 : Now_Floor_Disp_Data <= 7'b0110011;  //4
		4'b0101 : Now_Floor_Disp_Data <= 7'b1011011;  //5
		4'b0110 : Now_Floor_Disp_Data <= 7'b1011111;  //6
		4'b0111 : Now_Floor_Disp_Data <= 7'b1110000;  //7
		4'b1000 : Now_Floor_Disp_Data <= 7'b1111111;  //8
		4'b1001 : Now_Floor_Disp_Data <= 7'b1110011;  //9
		default : Now_Floor_Disp_Data <= 7'b0;
	  endcase
    end
end

endmodule